post
https://api.instantpay.in/identity/mobile/panLookup
This API fetches the PAN number associated with a mobile number, enabling quick PAN identification and verification using the registered mobile number.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| mobileNumber | String | Mandatory | User Mobile Number |
| externalRef | String | Mandatory | Your Unique Transaction id |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
Sample Request
curl --location 'https://api.instantpay.in/identity/mobile/panLookup' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'Content-Type: application/json' \
--data '{
"mobileNumber": "9835799007",
"externalRef": "1778653422",
"latitude": 0.99,
"longitude": 38
}'POST /identity/mobile/panLookup HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: 14.142.186.142
Content-Type: application/json
Content-Length: 139
{
"mobileNumber": "9835799007",
"externalRef": "1778653422",
"latitude": 0.99,
"longitude": 38
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | It will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"panData": {
"name": "RAVI",
"pan": "ABCDE6309L"
},
"poolReferenceId": "1260617042916XUERS",
"pool": {
"account": "7505684294",
"openingBal": "99917580.48",
"mode": "DR",
"amount": "2.36",
"closingBal": "99917578.12"
}
},
"timestamp": "2026-06-17 09:59:17",
"ipay_uuid": "h000a20ac00f-ff48-4d3c-a114-2f2d21d88638-7i0WMF2AXECv",
"orderid": "1260617042916XUERS",
"environment": "SANDBOX",
"internalCode": "Transaction Successful"
}
Consent Text :I hereby give my consent and submit voluntarily at my own discretion, my Voter ID for the
purpose of establishing my identity on the portal. The Voter ID submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

